Subject: [Gen-art] Gen-ART review of draft-ietf-opsec-bgp-security-05

From: Christer Holmberg <[email-masked]>
Date: Fri, 12 Sep 2014 06:01:05 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Document:                         draft-ietf-opsec-bgp-security-05.txt

Reviewer:                           Christer Holmberg

Review Date:                     12 September 2014

IETF LC End Date:             22 September 2014

IETF Telechat Date:         N/A

Summary:                       The document is well written, and almost ready for publication. However, there are some minor editorial nits that I suggest the authors to address.

Major Issues: None

Minor Issues: None

Editorial nits:

General:

QG_1:   Please be consistent on whether you write both the RFC- and the reference number, or only the reference number. For example, in section 4 you write "see RFC6192 [18]." and in section 5 "documented in [26].".

Section 1:

Q1_1:    Please expand the BGP abbreviation on first occurrence (outside the Abstract).

Q1_2:    The second sentence starts with "This protocol does not directly...". It is a little unclear what "This" refers to. Assuming you refer to BGP, I suggest you say "BGP does not directly...".

Section 4:

Q_4_1: In the first paragraph, why is "should" be with small letters?

Q_4_2: The last sentence says "For a more detailed recommendation, see RFC6192 [18].". Recommendation on what?

Section 5:

                Q_5_1: The name of section 5 uses "BGP sessions", but the section text does not say anything about BGP sessions. And, in section 5.1 you only talk about "TCP sessions used by BGP". Only in section 5.2 do you mention "BGP session". Perhaps you should add some general text to section 5 about BGP sessions, how TCP is used to transport BGP messages in BGP sessions etc, and then in section 5.1 only talk about protection of TCP.

Section 15:

Q_15_1:               s/"about about"/"about"

Q_15_2:               s/"It will not"/"It does not"

Regards,

Christer

---

From: "Jerome Durand (jerduran)" <[email-masked]>
Date: Thu, 18 Sep 2014 20:36:25 +0000

> I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Hi Christer, thanks for sharing the FAQ, I’m not expert in IETF process :-)

> Summary:                       The document is well written, and almost ready for publication. However, there are some minor editorial nits that I suggest the authors to address.

:-)

> QG_1:   Please be consistent on whether you write both the RFC- and the reference number, or only the reference number. For example, in section 4 you write “see RFC6192 [18].” and in section 5 “documented in [26].”.

OK

> Q1_1:    Please expand the BGP abbreviation on first occurrence (outside the Abstract).

OK

> Q1_2:    The second sentence starts with “This protocol does not directly…”. It is a little unclear what “This” refers to. Assuming you refer to BGP, I suggest you say “BGP does not directly…”.

OK

> Section 4:
>  
> Q_4_1: In the first paragraph, why is “should” be with small letters?

No reason I think. We’ll change that.

> Q_4_2: The last sentence says “For a more detailed recommendation, see RFC6192 [18].”. Recommendation on what?

Recommendation of router protection (section title)
I propose we clarify that in the text:

"For a more detailed recommendation on how to protect the router’s control plane, see RFC6192 [18] »

> Section 5:
>  
>                 Q_5_1: The name of section 5 uses “BGP sessions”, but the section text does not say anything about BGP sessions. And, in section 5.1 you only talk about “TCP sessions used by BGP”. Only in section 5.2 do you mention “BGP session”. Perhaps you should add some general text to section 5 about BGP sessions, how TCP is used to transport BGP messages in BGP sessions etc, and then in section 5.1 only talk about protection of TCP.

OK, I’ll see how to clearly add session key word in first paragraph of 5.

> Section 15:
>  
> Q_15_1:               s/”about about”/”about”

adopt :-) OK got it :-)

>  
> Q_15_2:               s/”It will not”/”It does not”

OK. I’ll change doesn’t for does not as well in same pargraph then.

Thank you Christer for the review, this is appreciated!

Jerome

--
Jerome Durand
Consulting Systems Engineer - Routing & Switching
[email-masked]  -  +33 6 35 11 60 50
blogs: http://reseauxblog.cisco.fr - http://ipv6blog.cisco.fr
twitter: @JeromeDurand
linkedin: http://fr.linkedin.com/in/jeromedurand

CISCO France
11, rue Camille Desmoulins
92782 Issy les Moulineaux
CEDEX 9
FRANCE

---

From: Christer Holmberg <[email-masked]>
Date: Fri, 19 Sep 2014 05:40:14 +0000

Hi Jerome,

> Recommendation of router protection (section title) I propose we clarify that in the text:
>
> "For a more detailed recommendation on how to protect the router's control plane, see RFC6192 [18] >

Looks good.

>> Section 5:
>>  
>>        	Q_5_1: The name of section 5 uses "BGP sessions", but the section text does not say anything about BGP sessions. And, in section 5.1 you only 
>>	talk about "TCP sessions used by BGP". Only in section 5.2 do you mention "BGP session". Perhaps you should add some general text to section 5 
>>	about BGP sessions, how TCP is used to transport BGP messages in BGP sessions etc, and then in section 5.1 only talk about protection of TCP.
>
> OK, I'll see how to clearly add session key word in first paragraph of 5.

Thanks! This was the main editorial issue I had with the document, so hopefully you'll find a way to make it more clear :)

Thanks!

Regards,

Christer